Bug 301611 - Digikam crashes during facial scan
Summary: Digikam crashes during facial scan
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 2.5.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-10 22:19 UTC by Jason Barnett
Modified: 2016-07-14 05:57 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Barnett 2012-06-10 22:19:12 UTC
Application: digikam (2.5.0)
KDE Platform Version: 4.8.3 (4.8.3)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-25-generic x86_64
Distribution: Ubuntu 12.04 LTS

-- Information about the crash:
- What I was doing when the application crashed:

Performing a scan of my image collection using the "Scan collection for faces" button. It has failed repeatedly during this endevor. The first time was after about 30%, second after about 61%, then about every 4% after.
I have tried with and without using all CPU cores for this task with no change in behavior.
This is a large collection of photos, about 18,000 totaling around 34GB.

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:39
[Current thread is 1 (Thread 0x7f60a3f29a00 (LWP 26297))]

Thread 24 (Thread 0x7f607f915700 (LWP 26301)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f609e1a74db in wait (time=18446744073709551615, this=0x2bfea20) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2bfe918, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005ca1d0 in ?? ()
#4  0x00007f609e1a6fcb in QThreadPrivate::start (arg=0x2bfe6b0) at thread/qthread_unix.cpp:298
#5  0x00007f6098cebe9a in start_thread (arg=0x7f607f915700) at pthread_create.c:308
#6  0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 23 (Thread 0x7f607f114700 (LWP 26302)):
#0  0x00007f609d3c7b03 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f6096939036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f6096939164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f609e2d5426 in QEventDispatcherGlib::processEvents (this=0x7f60700008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f609e2a4c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f609e2a4ed7 in QEventLoop::exec (this=0x7f607f113b50, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f609e1a3fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f609e2849ff in QInotifyFileSystemWatcherEngine::run (this=0x2c160e0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f609e1a6fcb in QThreadPrivate::start (arg=0x2c160e0) at thread/qthread_unix.cpp:298
#9  0x00007f6098cebe9a in start_thread (arg=0x7f607f114700) at pthread_create.c:308
#10 0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 22 (Thread 0x7f607e913700 (LWP 26319)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f609e1a74db in wait (time=18446744073709551615, this=0x3251b40) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x32518a8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f60a15a5ff1 in ?? () from /usr/lib/libdigikamcore.so.2
#4  0x00007f609e1a6fcb in QThreadPrivate::start (arg=0x3251890) at thread/qthread_unix.cpp:298
#5  0x00007f6098cebe9a in start_thread (arg=0x7f607e913700) at pthread_create.c:308
#6  0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 21 (Thread 0x7f607c994700 (LWP 26320)):
#0  0x00007f6098cef05d in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x7f6068000a60) at pthread_mutex_unlock.c:290
#2  0x00007f60969745d1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f60969381f8 in g_main_context_acquire () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f6096938f04 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f6096939164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f609e2d5426 in QEventDispatcherGlib::processEvents (this=0x7f60680008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0x00007f609e2a4c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007f609e2a4ed7 in QEventLoop::exec (this=0x7f607c993b50, flags=...) at kernel/qeventloop.cpp:204
#9  0x00007f609e1a3fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#10 0x00007f609e2849ff in QInotifyFileSystemWatcherEngine::run (this=0x339b9b0) at io/qfilesystemwatcher_inotify.cpp:248
#11 0x00007f609e1a6fcb in QThreadPrivate::start (arg=0x339b9b0) at thread/qthread_unix.cpp:298
#12 0x00007f6098cebe9a in start_thread (arg=0x7f607c994700) at pthread_create.c:308
#13 0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7f606334d700 (LWP 26387)):
#0  0x00007f609d3c7b03 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f6096939036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f6096939164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f609e2d5426 in QEventDispatcherGlib::processEvents (this=0x7f604c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f609e2a4c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f609e2a4ed7 in QEventLoop::exec (this=0x7f606334cb20, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f60a15a566e in ?? () from /usr/lib/libdigikamcore.so.2
#7  0x00007f609e19a4f2 in QThreadPoolThread::run (this=0x10138ce0) at concurrent/qthreadpool.cpp:107
#8  0x00007f609e1a6fcb in QThreadPrivate::start (arg=0x10138ce0) at thread/qthread_unix.cpp:298
#9  0x00007f6098cebe9a in start_thread (arg=0x7f606334d700) at pthread_create.c:308
#10 0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7f6053503700 (LWP 26388)):
#0  __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:66
#1  __pthread_mutex_unlock (mutex=0x7f6044000a60) at pthread_mutex_unlock.c:290
#2  0x00007f60969745d1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f609693916e in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f609e2d5426 in QEventDispatcherGlib::processEvents (this=0x7f60440008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f609e2a4c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f609e2a4ed7 in QEventLoop::exec (this=0x7f6053502b20, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f60a15a566e in ?? () from /usr/lib/libdigikamcore.so.2
#8  0x00007f609e19a4f2 in QThreadPoolThread::run (this=0x104e0320) at concurrent/qthreadpool.cpp:107
#9  0x00007f609e1a6fcb in QThreadPrivate::start (arg=0x104e0320) at thread/qthread_unix.cpp:298
#10 0x00007f6098cebe9a in start_thread (arg=0x7f6053503700) at pthread_create.c:308
#11 0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f6052d02700 (LWP 26389)):
#0  0x00007f609d3c60bd in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f60969738cf in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f6096938ba4 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f6096938fd6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f6096939164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f609e2d5426 in QEventDispatcherGlib::processEvents (this=0x7f60480008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f609e2a4c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f609e2a4ed7 in QEventLoop::exec (this=0x7f6052d01b20, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f60a15a566e in ?? () from /usr/lib/libdigikamcore.so.2
#9  0x00007f609e19a4f2 in QThreadPoolThread::run (this=0x1048a6a0) at concurrent/qthreadpool.cpp:107
#10 0x00007f609e1a6fcb in QThreadPrivate::start (arg=0x1048a6a0) at thread/qthread_unix.cpp:298
#11 0x00007f6098cebe9a in start_thread (arg=0x7f6052d02700) at pthread_create.c:308
#12 0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f6052501700 (LWP 26393)):
#0  0x00007f609966e3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f609966cefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f6098cebe9a in start_thread (arg=0x7f6052501700) at pthread_create.c:308
#3  0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f6051d00700 (LWP 26394)):
#0  0x00007f609966e3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f609966cefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f6098cebe9a in start_thread (arg=0x7f6051d00700) at pthread_create.c:308
#3  0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f60514ff700 (LWP 26395)):
#0  0x00007f609966e3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f609966cefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f6098cebe9a in start_thread (arg=0x7f60514ff700) at pthread_create.c:308
#3  0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f6043fff700 (LWP 26612)):
[KCrash Handler]
#6  0x00007f609d317445 in __GI_raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007f609d31abab in __GI_abort () at abort.c:91
#8  0x00007f609dc6569d in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#9  0x00007f609dc63846 in ?? () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#10 0x00007f609dc63873 in std::terminate() () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#11 0x00007f609dc6428f in __cxa_pure_virtual () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#12 0x00007f60a156dfd1 in Digikam::LoadingCache::removeLoadingProcess(Digikam::LoadingProcess*) () from /usr/lib/libdigikamcore.so.2
#13 0x00007f60a1579621 in ?? () from /usr/lib/libdigikamcore.so.2
#14 0x00007f60a156268e in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.2
#15 0x00007f60a15a7ece in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/libdigikamcore.so.2
#16 0x00007f609e19a4f2 in QThreadPoolThread::run (this=0x10938a10) at concurrent/qthreadpool.cpp:107
#17 0x00007f609e1a6fcb in QThreadPrivate::start (arg=0x10938a10) at thread/qthread_unix.cpp:298
#18 0x00007f6098cebe9a in start_thread (arg=0x7f6043fff700) at pthread_create.c:308
#19 0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#20 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f60437fe700 (LWP 26613)):
#0  0x00007f609d3c60bd in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f60969738cf in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f6096938ba4 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f6096938fd6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f6096939164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f609e2d5426 in QEventDispatcherGlib::processEvents (this=0x7f60240008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f609e2a4c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f609e2a4ed7 in QEventLoop::exec (this=0x7f60437fdb20, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f60a15a566e in ?? () from /usr/lib/libdigikamcore.so.2
#9  0x00007f609e19a4f2 in QThreadPoolThread::run (this=0xf937000) at concurrent/qthreadpool.cpp:107
#10 0x00007f609e1a6fcb in QThreadPrivate::start (arg=0xf937000) at thread/qthread_unix.cpp:298
#11 0x00007f6098cebe9a in start_thread (arg=0x7f60437fe700) at pthread_create.c:308
#12 0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f6042ffd700 (LWP 26614)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:39
#1  0x00007f609e1a5a9b in _q_futex (val2=0, addr2=0x0, timeout=0x0, val=2, op=0, addr=0x2bf5060) at thread/qmutex_unix.cpp:99
#2  QMutexPrivate::wait (this=0x2bf5060, timeout=<optimized out>) at thread/qmutex_unix.cpp:113
#3  0x00007f609e1a186d in QMutex::lockInternal (this=<optimized out>) at thread/qmutex.cpp:450
#4  0x00007f60a157907d in ?? () from /usr/lib/libdigikamcore.so.2
#5  0x00007f60a156268e in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.2
#6  0x00007f60a15a7ece in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/libdigikamcore.so.2
#7  0x00007f609e19a4f2 in QThreadPoolThread::run (this=0xf28c0e0) at concurrent/qthreadpool.cpp:107
#8  0x00007f609e1a6fcb in QThreadPrivate::start (arg=0xf28c0e0) at thread/qthread_unix.cpp:298
#9  0x00007f6098cebe9a in start_thread (arg=0x7f6042ffd700) at pthread_create.c:308
#10 0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f60427fc700 (LWP 26618)):
#0  0x00007f6096938a47 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f6096938fd6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f6096939164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f609e2d5426 in QEventDispatcherGlib::processEvents (this=0x7f601c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f609e2a4c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f609e2a4ed7 in QEventLoop::exec (this=0x7f60427fbb20, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f60a15a566e in ?? () from /usr/lib/libdigikamcore.so.2
#7  0x00007f609e19a4f2 in QThreadPoolThread::run (this=0x10738ad0) at concurrent/qthreadpool.cpp:107
#8  0x00007f609e1a6fcb in QThreadPrivate::start (arg=0x10738ad0) at thread/qthread_unix.cpp:298
#9  0x00007f6098cebe9a in start_thread (arg=0x7f60427fc700) at pthread_create.c:308
#10 0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f6041ffb700 (LWP 26673)):
#0  0x00007f609966e3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f609966cefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f6098cebe9a in start_thread (arg=0x7f6041ffb700) at pthread_create.c:308
#3  0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f60417fa700 (LWP 26674)):
#0  0x00007f609966e3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f609966cefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f6098cebe9a in start_thread (arg=0x7f60417fa700) at pthread_create.c:308
#3  0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f6040ff9700 (LWP 26675)):
#0  0x00007f609966e3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f609966cefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f6098cebe9a in start_thread (arg=0x7f6040ff9700) at pthread_create.c:308
#3  0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f605debd700 (LWP 27076)):
#0  0x00007f609966e3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f609966cefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f6098cebe9a in start_thread (arg=0x7f605debd700) at pthread_create.c:308
#3  0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f6023ffd700 (LWP 27077)):
#0  0x00007f609966e3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f609966cefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f6098cebe9a in start_thread (arg=0x7f6023ffd700) at pthread_create.c:308
#3  0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f60237fc700 (LWP 27078)):
#0  0x00007f609966e3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f609966cefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f6098cebe9a in start_thread (arg=0x7f60237fc700) at pthread_create.c:308
#3  0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f600bfff700 (LWP 28168)):
#0  0x00007f609966e3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f609966cefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f6098cebe9a in start_thread (arg=0x7f600bfff700) at pthread_create.c:308
#3  0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f600b7fe700 (LWP 28169)):
#0  0x00007f609966e3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f609966cefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f6098cebe9a in start_thread (arg=0x7f600b7fe700) at pthread_create.c:308
#3  0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f600affd700 (LWP 28170)):
#0  0x00007f609966e3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f609966cefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f6098cebe9a in start_thread (arg=0x7f600affd700) at pthread_create.c:308
#3  0x00007f609d3d34bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f60a3f29a00 (LWP 26297)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:39
#1  0x00007f609e1a5a9b in _q_futex (val2=0, addr2=0x0, timeout=0x0, val=2, op=0, addr=0x2bf5060) at thread/qmutex_unix.cpp:99
#2  QMutexPrivate::wait (this=0x2bf5060, timeout=<optimized out>) at thread/qmutex_unix.cpp:113
#3  0x00007f609e1a186d in QMutex::lockInternal (this=<optimized out>) at thread/qmutex.cpp:450
#4  0x00007f60a156ebf2 in Digikam::ClassicLoadingCacheFileWatch::slotUpdateDirWatch() () from /usr/lib/libdigikamcore.so.2
#5  0x00007f609e2bf446 in QObject::event (this=0x2c7c220, e=<optimized out>) at kernel/qobject.cpp:1195
#6  0x00007f609ec9b894 in notify_helper (e=0x7f603102b280, receiver=0x2c7c220, this=0x2a7e9c0) at kernel/qapplication.cpp:4559
#7  QApplicationPrivate::notify_helper (this=0x2a7e9c0, receiver=0x2c7c220, e=0x7f603102b280) at kernel/qapplication.cpp:4531
#8  0x00007f609eca0713 in QApplication::notify (this=0x7fff7827f210, receiver=0x2c7c220, e=0x7f603102b280) at kernel/qapplication.cpp:4420
#9  0x00007f609f9d4bb6 in KApplication::notify (this=0x7fff7827f210, receiver=0x2c7c220, event=0x7f603102b280) at ../../kdeui/kernel/kapplication.cpp:311
#10 0x00007f609e2a5e9c in QCoreApplication::notifyInternal (this=0x7fff7827f210, receiver=0x2c7c220, event=0x7f603102b280) at kernel/qcoreapplication.cpp:876
#11 0x00007f609e2a9c6a in sendEvent (event=0x7f603102b280, receiver=0x2c7c220) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#12 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x2a1e4d0) at kernel/qcoreapplication.cpp:1500
#13 0x00007f609e2d4f93 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#14 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#15 0x00007f6096938d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#16 0x00007f60969390a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#17 0x00007f6096939164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007f609e2d53bf in QEventDispatcherGlib::processEvents (this=0x2a1fdb0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#19 0x00007f609ed43d5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#20 0x00007f609e2a4c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#21 0x00007f609e2a4ed7 in QEventLoop::exec (this=0x7fff7827f090, flags=...) at kernel/qeventloop.cpp:204
#22 0x00007f609e2a9f67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#23 0x000000000048bc5d in ?? ()
#24 0x00007f609d30276d in __libc_start_main (main=0x48ab70, argc=5, ubp_av=0x7fff7827fa38, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff7827fa28) at libc-start.c:226
#25 0x000000000048d435 in _start ()

Reported using DrKonqi
Comment 1 Marcel Wiesweg 2012-06-19 18:10:57 UTC
I've seen this bt before, but there's nothing helping me to find a bug unless I can reproduce this myself one day.
Comment 2 caulier.gilles 2012-06-22 08:49:26 UTC
Official digiKam 2.6.0 release is out since few days now :

http://www.digikam.org/drupal/node/656

Please, check if this entry still valid, or update report accordingly.

Thanks in advance.

Gilles Caulier
Comment 3 caulier.gilles 2014-05-16 07:29:01 UTC
digiKam 4.0.0 is out :

http://www.digikam.org/node/713

Please check if this entry still valid with this new version.

Thanks in advance

Gilles Caulier
Comment 4 caulier.gilles 2014-06-11 21:30:10 UTC
With next digiKam 4.1.0, i fixed libkface to handle all C++ exception (and not only OpenCV exception).

So, at least, digiKam must crash lesser now. If you want to review this entry again, use current implementation from git/master, or wait next 4.1.0 release...

Thanks to update your feedback

Gilles Caulier
Comment 5 caulier.gilles 2014-06-11 21:40:24 UTC
Git commit fa909aa96e7e41225551cd9e866618717f1ea546 by Gilles Caulier.
Committed on 11/06/2014 at 21:06.
Pushed by cgilles into branch 'master'.

use a better C++ exception wrapper to handle non OpenCV exceptions (as pure C++ one)
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 323361, bug 320812, bug 312440, bug 309027, bug 308645, bug 297558, bug 285517

M  +4    -0    libkface/facedetector.cpp
M  +17   -2    libkface/recognitiondatabase.cpp

http://commits.kde.org/libkface/fa909aa96e7e41225551cd9e866618717f1ea546
Comment 6 caulier.gilles 2014-06-18 14:40:24 UTC
Git commit 4662dd94102f8144bc65ce1cb66d6b6cb1d500fd by Gilles Caulier.
Committed on 18/06/2014 at 14:22.
Pushed by cgilles into branch 'master'.

Libkface now depand of last stable OpenCV library version 2.4.9
This prevent internal crash int Cv:Algorithm that we cannot handle in libkface as exception.
Now, Face Recognition do not crash but still report Exception at training operations, especially about wrong Cv:Matrix size :

digikam(8673)/digikam (core) Digikam::DImg::load:"/mnt/data2/photos/GILLES/NEW/Adrien/2010-04-13/20100413_009.jpg"  :
JPEG file identified
OpenCV Error: Assertion failed (0 <= _dims && _dims <= CV_MAX_DIM) in setSize, file /mnt/devel/opencv/modules/core/src/matrix.cpp, line 89
digikam(8673)/KFACE: cv::Exception training LBPH: /mnt/devel/opencv/modules/core/src/matrix.cpp:89: error: (-215) 0 <=_dims && _dims <= CV_MAX_DIM in function setSize

It still a problem somwhere, but it's better than previous state.
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 323361, bug 320812, bug 312440, bug 309027, bug 308645, bug 297558, bug 285517

M  +1    -1    CMakeLists.txt

http://commits.kde.org/libkface/4662dd94102f8144bc65ce1cb66d6b6cb1d500fd
Comment 7 caulier.gilles 2014-06-24 13:10:25 UTC
Git commit 1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b by Gilles Caulier.
Committed on 24/06/2014 at 12:32.
Pushed by cgilles into branch 'master'.

add more test before to commit/checkout compressed histogram data in Face database, to prevent crashes, especially if data are corrupted from database.
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 320812, bug 312440, bug 309027, bug 308645, bug 297558, bug 285517

M  +62   -28   libkface/database/trainingdb.cpp

http://commits.kde.org/libkface/1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b
Comment 8 caulier.gilles 2014-06-24 13:53:23 UTC
With next digiKam 4.1.0, a lots of improvements/fixes have be done around face management. Please give us a fresh feedback.

Note i recommend to delete face recognition database to prevent dysfunction due to possible wrong data store in this container. Look where file is located in my computer :

[gilles@localhost database]$ pwd
/home/gilles/.kde4/share/apps/libkface/database
[gilles@localhost database]$ ls -al
total 397028
drwx------ 2 gilles gilles      4096 juin  24 14:22 ./
drwx------ 3 gilles gilles      4096 juin  18 19:08 ../
-rw-r--r-- 1 gilles gilles 406543360 juin  24 14:22 recognition.db
[gilles@localhost database]$
Comment 9 caulier.gilles 2014-08-24 09:02:41 UTC
We need a fresh feedback of this file using last digiKam 4.2.0

Gilles Caulier
Comment 10 caulier.gilles 2015-06-27 13:46:36 UTC
New digiKam 4.11.0 is available :

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?

Gilles caulier
Comment 11 caulier.gilles 2015-08-22 06:38:40 UTC
digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.
Comment 12 caulier.gilles 2016-07-14 05:57:35 UTC
With next 5.1.0 release, a lots of investigations have be done around OpenCV
face module integration with digiKam Face Engine.
See bug #365202 history for details.
I close this file now. Don't hesistate to re-open if necessary.
Gilles Caulier